sslcacertbundle_intermediatecacertlist_binding

Last published : Oct 30, 2026
Binding object showing the intermediatecacertlist that can be bound to sslcacertbundle.

Properties

(click to see Operations )
Name Data Type Permissions Description
subject <String> Read-write Subject name.
cacertbundlename <String> Read-write Name given to the CA certbundle. The name will be used for bind/unbind/update operations. Must begin with an ASCII alphanumeric or underscore (_) character, and must contain only ASCII alphanumeric, underscore, hash (#), period (.), space, colon (:), at (@), equals (=), and hyphen (-) characters. The following requirement applies only to the Citrix ADC CLI: If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my file" or 'my file').
Minimum length = 1
Maximum length = 127
clientcertnotafter <String> Read-only Not-After date.
status <String> Read-only Status of the certificate.
Possible values = Valid, Not yet valid, Expired
clientcertnotbefore <String> Read-only Not-Before date.
issuer <String> Read-only Issuer name.
daystoexpiration <Integer> Read-only Days remaining for the certificate to expire.
sandns <String> Read-only Subject Alternative Name (SAN) is an extension to X.509 that allows various values to be associated with a security certificate using a subjectAltName field. These values are called "Subject Alternative Names" (SAN). This field is for DNS names.
publickeysize <Integer> Read-only Size of the public key.
sanipadd <String> Read-only Subject Alternative Name (SAN) is an extension to X.509 that allows various values to be associated with a security certificate using a subjectAltName field. These values are called "Subject Alternative Names" (SAN). This field is for IP address.
signaturealg <String> Read-only Signature algorithm.
serial <String> Read-only Serial number.
publickey <String> Read-only Public key algorithm.
__count <Double> Read-only count parameter

Operations

(click to see Properties )
  • GET
  • GET (ALL)
  • COUNT
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding/ cacertbundlename_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding/ cacertbundlename_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of sslcacertbundle_intermediatecacertlist_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding/ cacertbundlename_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the sslcacertbundle_intermediatecacertlist_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{  "sslcacertbundle_intermediatecacertlist_binding": [ {
"subject":<String_value>,
"cacertbundlename":<String_value>,
"clientcertnotafter":<String_value>,
"status":<String_value>,
"clientcertnotbefore":<String_value>,
"issuer":<String_value>,
"daystoexpiration":<Integer_value>,
"sandns":<String_value>,
"publickeysize":<Integer_value>,
"sanipadd":<String_value>,
"signaturealg":<String_value>,
"serial":<String_value>,
"publickey":<String_value>
}]}

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{  "sslcacertbundle_intermediatecacertlist_binding": [ {
"subject":<String_value>,
"cacertbundlename":<String_value>,
"clientcertnotafter":<String_value>,
"status":<String_value>,
"clientcertnotbefore":<String_value>,
"issuer":<String_value>,
"daystoexpiration":<Integer_value>,
"sandns":<String_value>,
"publickeysize":<Integer_value>,
"sanipadd":<String_value>,
"signaturealg":<String_value>,
"serial":<String_value>,
"publickey":<String_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/sslcacertbundle_intermediatecacertlist_binding/ cacertbundlename_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"sslcacertbundle_intermediatecacertlist_binding": [ { "__count": "#no"} ] }